From: [email-masked] (Leslie Hart)
Date: Tue, 19 Jan 93 10:30:14 MST

> From: [email-masked] (John Kapenga)
> To: [email-masked]
> 
> Although the question of IO specification in the MPI-1 has been
> raised before, I think it still needs to be addressed.  Omission
> of any IO requirements means no program can be portable. If IO
> specifications are not included the introduction should make a
> strong case for the reasons. 

We (Tom Henderson and myself) agree and have also suggested such a proposal.  
Ours had a little more high level stuff, but not much.  We do think you need 
some specification of how basic I/O performs in a parallel environment to 
provide a high level of portability.  We think opportunities for parallelism 
can be expressed as well by routines that are loosely snychronous.

> ...
> Any attempt to specify high level parallel IO at this point in time
> seems premature. Perhaps there can be a middle ground. We could
> specify low level IO, compatible with ANSI/ISO/POSIX standards
> and perhaps allow an inquire function to test for its presence.
> I am willing to draft a Level-1 suggestion and a Level-2 suggestion.
> 
I think that is a good idea and would be interested in cooperating on
such an endeavor.

> I'm not sure which mailing list to put this on, but I think the
> issue needs to be addressed quickly (even if the decision remains
> to ignore IO).

Neither am I, let's hope it's not another subcommittee ;-)
> john
Leslie Hart ([email-masked])